
<div id="card-info" class="card__info">
  <% unless  @searchable.hospital_select.nil? && (@searchable.hospital.nil? ||  @searchable.hospital.eql?('all'))%>
    <% hospital_code = @searchable.hospital_select || @searchable.hospital %>
    <div class="ui label --info" name="detail-reports" ><%= "#{Hospital.find_by(code: hospital_code)&.label}"%> </div>
  <% end %>
  <% unless @searchable.init %>
    <%
      date_type_text =  @searchable.date_type == 'assessment' ?
                                "date_type_assessment_label" :
                                @searchable.date_type == 'refer' ?
                                        "date_type_refer_label":
                                        "date_type_save_label"
    %>
    <div class="ui label --info" name="detail-reports" ><%= t("report.#{date_type_text}") %>: <%= revert_date @searchable.from_date %> <%= t('report.to_label') %> <%= revert_date @searchable.to_date %></div>
    <% unless @searchable.destination.nil? || @searchable.destination != 'site' %>
      <div class="ui label --info" name="detail-reports" ><%= "#{t("report.destination_label")}: #{@searchable.hospital_destination.nil? ||  @searchable.hospital_destination.eql?('all') ? t("report.all_label") : Hospital.find_by(code: @searchable.hospital_destination)&.label}" %> </div>
    <% end %>
    <% unless @searchable.case_manager.nil? || @searchable.case_manager.eql?('all') %>
      <% case_manager = Provider.find_by(set_id: @searchable.case_manager) %>
      <div class="ui label --info" name="detail-reports" ><%= t("report.case_manager_label") %>: <%= "#{case_manager&.first_name} #{case_manager&.last_name}"%> </div>
    <% end %>
  <% end %>
</div>